Aria: ArCommands Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArCommands Class Reference

`#include <ArCommands.h>`

List of all members.

## Detailed Description

A class containing names for most robot microcontroller system commands.

A class with an enum of the commands that can be sent to the robot, see the robot operations manual for more detailed descriptions.

## Public Types
enum | Commands { PULSE = 0, OPEN = 1, CLOSE = 2, POLLING = 3, ENABLE = 4, SETA = 5, SETV = 6, SETO = 7, MOVE = 8, ROTATE = 9, SETRV = 10, VEL = 11, HEAD = 12, DHEAD = 13, SAY = 15, JOYINFO = 17, CONFIG = 18, ENCODER = 19, RVEL = 21, DCHEAD = 22, SETRA = 23, SONAR = 28, STOP = 29, DIGOUT = 30, VEL2 = 32, GRIPPER = 33, ADSEL = 35, GRIPPERVAL = 36, GRIPPERPACREQUEST = 37, IOREQUEST = 40, PTUPOS = 41, TTY2 = 42, GETAUX = 43, BUMPSTALL = 44, TCM2 = 45, JOYDRIVE = 47, MOVINGBLINK = 49, HOSTBAUD = 50, AUX1BAUD = 51, AUX2BAUD = 52, ESTOP = 55, ESTALL = 56, GYRO = 58, TTY3 = 66, GETAUX2 = 67, LOADPARAM = 61, OLDSIM_LOADPARAM = 61, ENDSIM = 62, OLDSIM_EXIT = 62, LOADWORLD = 63, OLDSIM_LOADWORLD = 63, STEP = 64, OLDSIM_STEP = 64, CALCOMP = 65, SETSIMORIGINTH = 68, OLDSIM_SETORIGINTH = 68, RESETSIMTOORIGIN = 69, OLDSIM_RESETTOORIGIN = 69, SOUND = 90, PLAYLIST = 91, SOUNDTOG = 92, POWER_PC = 95, POWER_LRF = 96, POWER_5V = 97, POWER_12V = 98, POWER_24V = 98, POWER_AUX_PC = 125, POWER_TOUCHSCREEN = 126, POWER_PTZ = 127, POWER_AUDIO = 128, POWER_LRF2 = 129, LATVEL = 110, LATACCEL = 113, SETLATV = 0, SIM_SET_POSE = 224, SIM_RESET = 225, SIM_LRF_ENABLE = 230, SIM_LRF_SET_FOV_START = 231, SIM_LRF_SET_FOV_END = 232, SIM_LRF_SET_RES = 233, SIM_CTRL = 236, SIM_STAT = 237, SIM_MESSAGE = 238, SIM_EXIT = 239 }

## Member Enumeration Documentation

enum ArCommands::Commands

Enumerator:

  PULSE | none, keep alive command, so watchdog doesn't trigger
  OPEN | none, sent after connection to initiate connection
  CLOSE | none, sent to close the connection to the robot
  POLLING | string, string that sets sonar polling sequence
  ENABLE | int, enable (1) or disable (0) motors
  SETA | int, sets translational accel (+) or decel (-) (mm/sec/sec)
  SETV | int, sets maximum velocity (mm/sec)
  SETO | int, resets robots origin back to 0, 0, 0
  MOVE | int, translational move (mm)
  ROTATE | int, set rotational velocity, duplicate of RVEL (deg/sec)
  SETRV | int, sets the maximum rotational velocity (deg/sec)
  VEL | int, set the translational velocity (mm/sec)
  HEAD | int, turn to absolute heading 0-359 (degrees)
  DHEAD | int, turn relative to current heading (degrees)
  SAY | string, makes the robot beep. up to 20 pairs of duration (20 ms incrs) and tones (halfcycle)
  CONFIG | int, request configuration packet
  ENCODER | int, > 0 to request continous stream of packets, 0 to stop
  RVEL | int, set rotational velocity (deg/sec)
  DCHEAD | int, colbert relative heading setpoint (degrees)
  SETRA | int, sets rotational accel(+) or decel(-) (deg/sec)
  SONAR | int, enable (1) or disable (0) sonar
  STOP | int, stops the robot
  DIGOUT | int, sets the digout lines
  VEL2 | int, independent wheel velocities, first 8 bits = right, second 8 bits = left, multiplied by Vel2 divisor. See manual.
  GRIPPER | int, gripper server command, see gripper manual for detail
  ADSEL | int, select the port given as argument
  GRIPPERVAL | p2 gripper server value, see gripper manual for details
  GRIPPERPACREQUEST | p2 gripper packet request
  IOREQUEST | request iopackets from p2os
  PTUPOS | most-sig byte is port number, least-sig byte is pulse width
  TTY2 | string, send string argument to serial dev connected to aux1
  GETAUX | int, requests 1-200 bytes from aux1 serial channel, 0 flush
  BUMPSTALL | int, stop and register a stall if front (1), rear (2), or both (3) bump rings are triggered, Off (default) is 0
  TCM2 | TCM2 module commands, see tcm2 manual for details.
  JOYDRIVE | Command to tell p2os to drive with the joystick plugged into the robot
  MOVINGBLINK | int, 1 to blink lamp quickly before moving, 0 not to (for patrolbot)
  HOSTBAUD | int, set baud rate for host port - 0=9600, 1=19200, 2=38400, 3=57600, 4=115200
  AUX1BAUD | int, set baud rate for Aux1 - 0=9600, 1=19200, 2=38400, 3=57600, 4=115200
  AUX2BAUD | int, set baud rate for Aux2 - 0=9600, 1=19200, 2=38400, 3=57600, 4=115200
  ESTOP | none, emergency stop, overrides decel
  GYRO | int, set to 1 to enable gyro packets, 0 to disable
  LOADPARAM | Deprecated: only supported by SRISim
  OLDSIM_LOADPARAM | Deprecated: only supported by SRISim
  ENDSIM | Deprecated: use SIM_EXIT
  OLDSIM_EXIT | Deprecated: use SIM_EXIT
  LOADWORLD | Deprecated: only supported by SRISim
  OLDSIM_LOADWORLD | Deprecated: only supported by SRISim
  STEP | Deprecated: only supported by SRISim
  OLDSIM_STEP | Deprecated: only supported by SRISim
  CALCOMP | int, commands for calibrating compass, see compass manual
  SETSIMORIGINTH | Deprecated: use SIM_SET_POSE
  OLDSIM_SETORIGINTH | Deprecated: use SIM_SET_POSE
  RESETSIMTOORIGIN | Deprecated: use SIM_RESET
  OLDSIM_RESETTOORIGIN | Deprecated: use SIM_RESET
  SOUND | int, AmigoBot (old H8 model) specific, plays sound with given number
  PLAYLIST | int, AmigoBot (old H8 model) specific, requests name of sound, 0 for all, otherwise for specific sound
  SOUNDTOG | int, AmigoBot (old H8 model) specific, enable(1) or diable(0) sound
  POWER_PC | int, Powers on or off the PC (if the firwmare is set up to do this in its power settings)
  POWER_LRF | int, Powers on or off the laser (if the firwmare is set up to do this in its power settings)
  POWER_5V | int, Powers on or off the 5v accessories (if the firwmare is set up to do this in its power settings)
  POWER_12V | int, Powers on or off the 12v accessories (if the firwmare is set up to do this in its power settings)
  POWER_24V | int, Powers on or off the 24v accessories (if the firwmare is set up to do this in its power settings)
  POWER_AUX_PC | int, Powers on or off the auxilliary PC (if the firwmare is set up to do this in its power settings)
  POWER_TOUCHSCREEN | int, Powers on or off the touchscreen (if the firwmare is set up to do this in its power settings)
  POWER_PTZ | int, Powers on or off the PTZ (if the firwmare is set up to do this in its power settings)
  POWER_AUDIO | int, Powers on or off the audio (if the firwmare is set up to do this in its power settings)
  POWER_LRF2 | int, Powers on or off the second laser (if the firwmare is set up to do this in its power settings)
  LATVEL | int, sets the lateral velocity (mm)
  LATACCEL | int, sets the lateral acceleration (+, mm/sec2) or lateral deceleration (-, mm/sec2)
  SETLATV | int, someday will set the vel
  SIM_SET_POSE | int4,int4,int4 Move robot to global pose in simulator (does not change odometry). Each value is a 4-byte integer.
  SIM_RESET | none, Reset robot's state to original in simulator and reset odometry to 0,0,0.
  SIM_LRF_ENABLE | int, 1 to begin sending packets of data from a simulated laser rangefinder (on the same socket connection), 2 to send extended-information laser packets (with reading flags), 0 to disable LRF
  SIM_LRF_SET_FOV_START | int Set angle (degrees from center) at which the simulater laser takes its first reading (normally -90).
  SIM_LRF_SET_FOV_END | int Set angle (degrees from center) at which the simulated laser takes its last reading (normally 90).
  SIM_LRF_SET_RES | int Set the number of degrees between laser readings (in combination with FOV, determines the number of readings per sweep) (normally 1)
  SIM_CTRL | int,..., Send a simulator meta-command (an operation on the simulator itself). The initial 2-byte integer argument selects the operation. See simulator documentation.
  SIM_STAT | none, Request that the simulator reply with a SIMSTAT (0x62) packet. You must have a packet handler registered with ArRobot to receive its output. See simulator documentation.
  SIM_MESSAGE | string, Display a log message in the simulator. Argument is a length-prefixed ASCII byte string.
  SIM_EXIT | int, Exit the simulator. Argument is the exit code (use 0 for a "normal" exit).

The documentation for this class was generated from the following file:

- ArCommands.h